import Vue from 'vue'
import Router from 'vue-router'
import frameworkApi from '@/api/framework'
import demoRoute from '@/demo/demo-routes'
import authutils from '@/utils/authutils'
import systemRoute from './system'

Vue.use(Router)

let routes = []
// routes = routes.concat(demoRoute)
routes = routes.concat(systemRoute)

const router = new Router({
  mode: 'history',
  base: "adm",
  routes: routes
})

router.beforeEach(authutils.routerBeforeEach)

export default router
